> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Provider Credentials



## OpenAPI

````yaml POST /v1/providers/{provider}/test
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/providers/{provider}/test:
    post:
      tags:
        - providers
      summary: Test stored credentials with a minimal upstream call
      operationId: ProvidersController_test
      parameters:
        - name: provider
          required: true
          in: path
          schema:
            type: string
            enum:
              - anthropic
              - openai
              - bedrock
              - vertex
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderTestResultDto'
      security:
        - bearer: []
components:
  schemas:
    ProviderTestResultDto:
      type: object
      properties:
        ok:
          type: boolean
        reason:
          type: string
      required:
        - ok
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````